<?php
  define(IMG_FILE_ORIGINAL,"samples/20060724/sample.jpg");
?>
<html>
<body>
<?php
  $filters =array(
    IMG_FILTER_NEGATE => 'IMG_FILTER_NEGATE',
    IMG_FILTER_GRAYSCALE => 'IMG_FILTER_GRAYSCALE',
    IMG_FILTER_EDGEDETECT => 'IMG_FILTER_EDGEDETECT',
    IMG_FILTER_EMBOSS => 'IMG_FILTER_EMBOSS',
    IMG_FILTER_GAUSSIAN_BLUR => 'IMG_FILTER_GAUSSIAN_BLUR',
    IMG_FILTER_SELECTIVE_BLUR => 'IMG_FILTER_SELECTIVE_BLUR',
    IMG_FILTER_MEAN_REMOVAL => 'IMG_FILTER_MEAN_REMOVAL'
  );
  
  echo '<ul>';
  foreach($filters as $key => $value){
     echo "<li><a href=#$value>$value</a>\n";
  }
  echo "<li><a href=#IMG_FILTER_BRIGHTNESS>IMG_FILTER_BRIGHTNESS</a>\n";
  echo "<li><a href=#IMG_FILTER_CONTRAST>IMG_FILTER_CONTRAST</a>\n";
  echo "<li><a href=#IMG_FILTER_SMOOTH>IMG_FILTER_SMOOTH</a>\n";
  echo "<li><a href=#IMG_FILTER_COLORIZE>IMG_FILTER_COLORIZE</a>\n";
  echo '</ul>';
  
  $i=0;
  foreach($filters as $key => $value){
     $out_file = IMG_FILE_ORIGINAL. ".a.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, $key);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     echo "<a name=$value></a><h2>$value</h2>";
     echo '<table>';
     echo '<tr><th>摜</th><th></th><th>ϊ</th></tr>';
     echo '<td><img src='.IMG_FILE_ORIGINAL.'></td>';
     echo '<td></td>';
     echo "<td><img src=$out_file></td>";
     echo '</tr></table>'."\n";
     $i++;
  }
?>
</table>

<a name=IMG_FILTER_BRIGHTNESS></a><h2>IMG_FILTER_BRIGHTNESS<h2>
<table>
<?php
  $captions = "";
  $images = "";
  for($i=-96;$i<=96;$i+=48){
     $out_file = IMG_FILE_ORIGINAL. ".b.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_BRIGHTNESS, $i);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>'.$i.'</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>

<a name=IMG_FILTER_CONTRAST></a><h2>IMG_FILTER_CONTRAST<h2>
<table>
<?php
  $captions = "";
  $images = "";
  for($i=-96;$i<=96;$i+=48){
     $out_file = IMG_FILE_ORIGINAL. ".c.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_CONTRAST, $i);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>'.$i.'</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>

<a name=IMG_FILTER_SMOOTH></a><h2>IMG_FILTER_SMOOTH<h2>
<table>
<?php
  $captions = "";
  $images = "";
  for($i=0;$i<=12;$i+=3){
     $out_file = IMG_FILE_ORIGINAL. ".d.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_SMOOTH, $i);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>'.$i.'</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>

<a name=IMG_FILTER_COLORIZE></a><h2>IMG_FILTER_COLORIZE<h2>
<table>
<?php
  $captions = "";
  $images = "";
  for($i=-254;$i<=255;$i+=127){
     $out_file = IMG_FILE_ORIGINAL. ".e.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_COLORIZE,$i,0,0);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>'.$i.',0,0</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>

<table>
<?php
  $captions = "";
  $images = "";
  for($i=-254;$i<=255;$i+=127){
     $out_file = IMG_FILE_ORIGINAL. ".f.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_COLORIZE, 0,$i,0);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>0,'.$i.',0</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>

<table>
<?php
  $captions = "";
  $images = "";
  for($i=-254;$i<=255;$i+=127){
     $out_file = IMG_FILE_ORIGINAL. ".g.$i.jpg";
     $img = ImageCreateFromJpeg(IMG_FILE_ORIGINAL);
     ImageFilter($img, IMG_FILTER_COLORIZE, 0, 0, $i);
     ImageJpeg($img, $out_file);
     ImageDestroy($img);
     
     $captions.= '<td><b>0,0,'.$i.'</b></td>';
     $images  .= '<td><img src='.$out_file.'></td>';
  }
  echo '<tr>'.$captions.'<tr>';
  echo '<tr>'.$images.'<tr>';
?>
</table>


</body>
</html>
